# POD client
python3 implementation of a pod client

the pod client version follow the pod server version for compatibility

pod is a video cms for educational https://github.com/EsupPortail/Esup-Pod

# Client API

all rest resources will be create on PodClient object and usable like that (HOST and API_

KEY are vars that contains the base pod url and an authentication token):

```
pod_client = PodClient(HOST, API_KEY)
# fetch all videos
pod_client.videos.get()
# fetch video id 1
pod_client.videos.get(resource_id=1)
```

Example to send a video (VIDEO_PATH is the path of the video to upload):
```
pod_client = PodClient(HOST, API_KEY)
data = {
    'title': 'unittest video',
    'type': pod_client.types.url(1),
    'owner': pod_client.users.url(1)
}
files = {'video': open(VIDEO_PATH, 'rb')}
response = pod_client.videos.post(data=data, files=files)
```

# build
`make build`

# lint
`make lint`

# deadcode
`make deadcode`

# test
`make test`

# Project dependencies

`python3 python3-pip python3-requests make`

# Running a local pod test server

https://plmlab.math.cnrs.fr/docker-images/esup-pod

```
git clone https://plmlab.math.cnrs.fr/docker-images/esup-pod.git && cd esup-pod
chmod +x ./start.sh
/bin/bash -c ./start.sh
cd django_projects/podv2/ ; python manage.py migrate ; python manage.py runserver 0.0.0.0:8080
```

login: pod
pass: n0p0dAtAll
